;InnoSetupVersion=4.2.2

[Setup]
AppName=DVD Data Rescue
AppVerName=DVD Data Rescue 1.1
AppId=DVD Data Rescue
AppVersion=1.1
DefaultDirName={pf}\dvddr
DefaultGroupName=DVD Data Rescue
OutputBaseFilename=dvddr
Compression=lzma
PrivilegesRequired=none
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\drtc.dll"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: ignoreversion 
Source: "{app}\ertc.dll"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: ignoreversion 
Source: "{app}\dvddr.exe"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: ignoreversion 
Source: "{app}\dvddr.chm"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: ignoreversion 
Source: "{app}\License.txt"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: ignoreversion 
Source: "{app}\gcddr.dat"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: ignoreversion 
Source: "{app}\aconfig.exe"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: ignoreversion 
Source: "{app}\acddr.dat"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: ignoreversion 

[Dirs]
Name: "{app}\lists"; 

[Registry]
Root: HKCU; Subkey: "Software\nd\dvddr\userdata"; ValueName: "id"; ValueType: String; ValueData: "nid"; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\nd\dvddr\userdata"; ValueName: "k1"; ValueType: String; ValueData: "223"; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\nd\dvddr\userdata"; ValueName: "k2"; ValueType: String; ValueData: "443"; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\nd\dvddr\userdata"; ValueName: "ddu"; ValueType: Dword; ValueData: "$1"; MinVersion: 4.0.950,4.0.1381; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\alfa\ud\usr1"; ValueName: "usr1"; ValueType: Dword; ValueData: "$1"; MinVersion: 4.0.950,4.0.1381; 

[Icons]
Name: "{group}\DVD Data Rescue"; Filename: "{app}\dvddr.exe"; WorkingDir: "{app}"; IconFilename: "{app}\dvddr.exe"; MinVersion: 4.0.950,4.0.1381; 
Name: "{userdesktop}\DVD Data Rescue"; Filename: "{app}\dvddr.exe"; WorkingDir: "{app}"; IconFilename: "{app}\dvddr.exe"; Tasks: desktopicon; MinVersion: 4.0.950,4.0.1381; 
Name: "{group}\DVD Data Rescue Help"; Filename: "{app}\dvddr.chm"; WorkingDir: "{app}"; MinVersion: 4.0.950,4.0.1381; 
Name: "{group}\License Agreement"; Filename: "{app}\License.txt"; WorkingDir: "{app}"; MinVersion: 4.0.950,4.0.1381; 
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; MinVersion: 4.0.950,4.0.1381; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; MinVersion: 4.0.950,4.0.1381; 

[UninstallDelete]
Type: filesandordirs; Name: "{app}"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
